#pragma once
#include "PropertiesInterface.h"

using namespace System;
using namespace System::Runtime::InteropServices;

namespace NDTS
{
	using namespace SCO;
namespace Managed
{
namespace SCO
{
	public ref class Property
	{
	public:
		Property();
		~Property();
		String ^getShortName();
		String ^getLongName();
		int getFlags();
		void setProp(NDTS::SCO::Property *pProp);
		void setPropVoid(void *pProp);
	protected:
		NDTS::SCO::Property *pProp;
	};
}}} // Namespaces
